PDA

View Full Version : Asset update on DLS for 3.8. what is 3.8.



mikeaust
February 6th, 2015, 01:10 AM
I tried to download the update for Central Portal Control today and it is for 3.8.
I got it from the white pages when CM wouldn't load it and changed the build number but it wont work.
How can it be overridden so that 3.7 does not show it needing update?
cheers,
Mike

ianwoodmore
February 6th, 2015, 02:27 AM
TB 3.8 is TANE and cannot be used in TS12.

To avoid these make a custom CM search filter:

On Download Station True
Installed False
Obsolete False
AND
Minimum build version 1.0
AND NOT
Minimum build version 3.8

This hides the TB 3.8 assets from view, and shows what you can download for a TS12 SP1 HF4 version

oknotsen
February 6th, 2015, 02:44 AM
TB 3.8 is TANE and cannot be used in TS12.
I thought it was MacII and TANE currently being 3.9?

Source:
http://online.ts2009.com/mediaWiki/index.php/%22Trainz-build%22_tag

mikeaust
February 6th, 2015, 04:35 AM
Ian,
If they are for Tane then they should have a different kuid as they break the one in TS12. As far as I know TS12 is still supported.
How do you get rid of the update tage from the older asset that I can run?
cheers,
Mike

teddytoot
February 6th, 2015, 04:46 AM
I thought 3.8 was TS12 multiplayer. Am I wrong?

clam1952
February 6th, 2015, 06:02 AM
3.8 is Mac2 upwards. Tick show build numbers in CM (Right click on headers) and you will avoid downloading higher builds than will work.

T:ANE is 3.9 CE v1 and 4 CE v1.1

dnevans8
February 6th, 2015, 08:33 AM
But why should they be showing up as an update in build 3.7 at all?????

The suggestion above does not stop them appearing as an update in-game.

clam1952
February 6th, 2015, 08:51 AM
Stops you downloading it though ;o)

Why are they showing? need to ask N3V that one, higher builds sometimes showing as updates has been an on / off problem since SP1 where 3.6 TS12 is showing 3.7 updates I just ignore them when they appear and eventually they seem to vanish from the in game update list.

mikeaust
February 6th, 2015, 07:45 PM
Still doesn't fix the problem that CM wants to update the one in TS12, that means it is broken.
Cheers,
Mike

BLACKWATCH
February 6th, 2015, 08:17 PM
mike,

1. In CM, select asset that requires updating and copy asset name

2. minimise CM so you are at desktop & create new folder, then select rename & paste asset name to it.

3. Maximise CM & open asset for edit in explorer, copy all files then revert asset or re-commit it.

4. Minimise CM so you are at desktop, paste files into the folder you created, open config file & up the kuid suffix number to match the one in the 3.8 version & save.

5. Maximise CM, go to top left dropdown menu & select 'Import CONTENT', navigate to the folder on the desktop & import.

Your 3.7 asset will now update & CM will no longer tell you to download the 3.8 version.

mikeaust
February 7th, 2015, 03:08 AM
Hi Blackwatch,
Thanks for your info. I use this method to repair or modify built in assets.Never thought of it in this context.
Cheers,
Mike


Worked a treat thank you. Now I know how to fix all the builtin assets I have repaired over the years, to work on my machine, when these new ones try to barge in.
I have over 10000 updates listed on the startup (have never used that option) usually around 2000. I only update when something is used in a route or asset.